### Signal

# Vte Terminal::termprops-changed

since: 0.78

#### Declaration

    gboolean
    termprops_changed (
      VteTerminal* self,
      gpointer props,
      gint n_props,
      gpointer user_data
    )

#### Description [src]

Emitted when termprops have changed. `props` is an array containing the IDs of the terminal properties that may have changed since the last emission of this signal, in an undefined order. Note that emission of this signal is delayed from the receipt of the OSC sequences, and a termprop may have been changed more than once inbetween signal emissions, but only the value set last is retrievable.

The default handler for this signal emits the “termprop-changed” signal for each changed property. Returning `TRUE` from a handler running before the default will prevent this.

The handler may use the vte_terminal_get_termprop_() functions (and their by-ID variants), to retrieve the value of any termprop, as well as call `vte_terminal_reset_termprop()` (and its by-ID variant) to reset any termprop, or emit the VteTerminal::termprop-changed signal; but it must not call any* other API on `terminal`, including API of its parent classes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.78

#### Parameters

`props`

  Type: An array of `int`

  An array of termprop IDs.

  The length of the array is specified in the `n_props` argument.

`n_props`

  Type: `gint`

  The length of the `keys` array.

#### Return value

Type: `gboolean`

`TRUE` to stop further handlers being invoked for this signal, or `FALSE` to continue signal emission.